.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the GIProbe.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_GIProbe:

GIProbe
=======

**Inherits:** :ref:`VisualInstance<class_visualinstance>` **<** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+-------+---------------------------------------------------------------------------------------------------------------------------------------+
| void  | :ref:`bake<class_GIProbe_bake>` **(** :ref:`Node<class_node>` from_node=null, :ref:`bool<class_bool>` create_visual_debug=false **)** |
+-------+---------------------------------------------------------------------------------------------------------------------------------------+
| void  | :ref:`debug_bake<class_GIProbe_debug_bake>` **(** **)**                                                                               |
+-------+---------------------------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

  .. _class_GIProbe_bias:

- :ref:`float<class_float>` **bias**

  .. _class_GIProbe_compress:

- :ref:`bool<class_bool>` **compress**

  .. _class_GIProbe_data:

- :ref:`GIProbeData<class_giprobedata>` **data**

  .. _class_GIProbe_dynamic_range:

- :ref:`int<class_int>` **dynamic_range**

  .. _class_GIProbe_energy:

- :ref:`float<class_float>` **energy**

  .. _class_GIProbe_extents:

- :ref:`Vector3<class_vector3>` **extents**

  .. _class_GIProbe_interior:

- :ref:`bool<class_bool>` **interior**

  .. _class_GIProbe_normal_bias:

- :ref:`float<class_float>` **normal_bias**

  .. _class_GIProbe_propagation:

- :ref:`float<class_float>` **propagation**

  .. _class_GIProbe_subdiv:

- :ref:`Subdiv<enum_giprobe_subdiv>` **subdiv**


Enums
-----

  .. _enum_GIProbe_Subdiv:

enum **Subdiv**

- **SUBDIV_64** = **0**
- **SUBDIV_128** = **1**
- **SUBDIV_256** = **2**
- **SUBDIV_512** = **3**
- **SUBDIV_MAX** = **4**


Member Function Description
---------------------------

.. _class_GIProbe_bake:

- void **bake** **(** :ref:`Node<class_node>` from_node=null, :ref:`bool<class_bool>` create_visual_debug=false **)**

.. _class_GIProbe_debug_bake:

- void **debug_bake** **(** **)**


